Root: WRM Database > Information Technology > Programming Languages > JavaScript > No Browser Support > No Browser Support



No Browser Support


If you decided to specify the version of JavaScript the browser must support before attempting to run the JavaScript code, you would have used this code:

<script type = "text/javascript" language = "JavaScript1.5">



Not all browsers check the language attribute for a version number. The ones that don't check are older version browsers that don't understand JavaScript 1.5. They will run your JavaScript and will probably generate a JavaScript error. To combat confusion and excessive details it is recommended that you use the following opening <script> tag:

<script type = "text/javascript">







References

Thau, Dave. The Book of JavaScript, Second Edition.
      San Francisco, CA: No Starch Press, Inc. 2007. Print.